/* -------------------------------------------------------- */
/* ----------------- General Page Layout ------------------ */
/* -------------------------------------------------------- */

body
{
    background-color: #f0f0f8;
    padding: 0px;
    margin: auto;
    color: #454545;
    font-size: 22px;
    line-height: 1.4;
    max-width: 80%;
    font-family: "Roboto","Segoe UI","helvetica neue";
}

h1
{
    font-weight: bolder;
    text-align: center;
    margin: 24px;
}

h1.title
{
    text-align: left;
    margin: 4px;
}

h2
{
    margin-top: 4px;
    font-weight: bolder;
    text-align: left;
}

h2.center
{
    text-align: center;
}

h3, h4, h5, h6
{
  margin-top: 0px;
  margin-bottom: 0px;
}

.bannerContainer
{
  margin: auto;
  display: inline-block;
}

.topbar .banner
{
  height: 125px;
  margin: auto;
  text-align: middle;
  display: block;
}

.ofTheDayContainer h2
{
  margin-top: 0px;
  margin-bottom: 0px;
}

.central
{
    margin: 0px;
    padding: 0px;
    padding-bottom: 50px;
}

.topbar
{
    text-align: left;
    width: 100%;
    margin-top: 4px;
    margin-right: 120px;
}

.topbar h2
{
  margin-bottom: 4px;
}

.main
{
    padding: 4px;
    z-index: 1;
}

.thin
{
  width: 75%;
}


.sidebar
{
  margin-top: 40px;
  right: 3%;
  width: 240px;
  position: fixed;
  background-color: #666699;
  border: 1px solid black;
  border-radius: 4px;
  padding: 12px;
}

/* -------------------------------------------------------- */
/* --------------------- Navigation Bar ------------------- */
/* -------------------------------------------------------- */

.navbar {
  background-color: #333;
  font-family: Arial;
  margin-bottom: 0px;
  height: 50px;
  z-index: 999;
  position: relative;
}

.navbar a {
  float: left;
  font-size: 16px;
  color: white;
  text-align: left;
  padding: 14px 16px;
  text-decoration: none;
}

.navBarParent {
  float: left;
  display: table;
  position: relative;
  z-index: 4;
}

.navBarParent a {
  font-size: 16px;
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  background-color: inherit;
  font-family: inherit; /* Important for vertical align on mobile phones */
  margin: 0; /* Important for vertical align on mobile phones */
}

.navbar a:hover {
  background-color: #dd4444;
  text-decoration: none;
}

.navbar .navBarParent:hover{
  background-color: #dd4444;
  text-decoration: none;
}

.navbar .navBarChild a {
  padding: 12px 16px;
  color: black;
  text-decoration: none;
  text-align: left;
  font-size: 15px;
  width: 100%;
}

.navbar .navBarChild a:hover {
  padding: 12px 16px;
  color: black;
  text-align: left;
  background-color: #c0c0d0;
}

.navBarChild {
  display: none;
  position: absolute;
  z-index: 5;
}

.navBarChild .navBarParent {
  background-color: #dde;
  width: 100%;
}

.navBarChild .navBarParent:hover {
  background-color: #c0c0d0;
}

.navBarParent .navBarChild {
  width: 100%;
  height: 0;
}

.navBarParent:hover .navBarChild {
  width: 100%;
  height: auto;
  display: table-row;
  margin-top: 50px;
  margin-bottom: -50px;
} 

.navBarParent.active {
  background-color: #555555;
}

.navBarParent .navBarParent.active {
  background-color: #9999AA;
}

.activeParent .navBarParent.active:hover {
  background-color: #AAB;
}

.activeParent .navBarParent.active a:hover {
  background-color: #AAB;
}

.navBarParent.navBarParent.active {
  background-color: #9999AA;
}

.activeParent.navBarParent.active:hover {
  background-color: #AAB;
}

.activeParent.navBarParent.active a:hover {
  background-color: #AAB;
}

/* -------------------------------------------------------- */
/* ---------------- Flags for Localization ---------------- */
/* -------------------------------------------------------- */

.localisationContainer
{
  display: inline-block;
  float: right;
}

.navbar .localisationContainer a
{
  margin: -10px;
  margin-top: -2px;
  margin-right: 6px;
  margin-left: -22px;
  padding: 14px;
  padding-bottom: 0px;
}

.navbar .localisationContainer a:hover
{
  background-color: #333;
  padding: 14px;
  padding-bottom: 0px;
}

.navbar a .flag-icon {
  background-size: contain;
  background-position: 50%;
  background-repeat: no-repeat;
  position: relative;
  display: inline-block;
  height: 24px;
  width: 32px;
  border: 2px solid #333;
}

.navbar a .flag-icon.activeLang {
    border: 2px solid #AAC;
}

.navbar a:hover .flag-icon {
  border: 2px solid #bbbbff;
}

.navbar a .flag-icon-en {
  background-image: url(../images/icons/flag-en.svg);
}
.navbar a .flag-icon-cn {
  background-image: url(../images/icons/flag-cn.svg);
}
.navbar a .flag-icon-ru {
  background-image: url(../images/icons/flag-ru.svg);
}

/* -------------------------------------------------------- */
/* -------------------- Community Stuff ------------------- */
/* -------------------------------------------------------- */

.communityContainer
{
  text-align: center;
  margin: auto;
  margin-bottom: 0px;
  width: 80%;
  max-width: 900px;
  background-color: #373B40;
  border: 1px solid #000;
  transition: border 0.1s, background-color 0.1s;
  padding: 12px;
  border-radius: 4px;
}

.communityPanel
{
  margin: 0 auto;
  min-height: 30px;
  display: inline-block;
}

.communityPanel.text-container
{
  max-width: 70%;
  float: left;
}

.communityPanel.discord-container
{
  width: 64px;
  height: 64px;
  background-size: contain;
  background-position: 50%;
  background-repeat: no-repeat;
  float: right;
  background-image: url(../images/icons/discord-logo.svg);
}

.communityContainer h4
{
  max-width: 80%;
  text-align: left;
  text-decoration: none;
}

.communityContainer:hover a
{
  text-decoration: none;
}

.discord-logo
{}

.communityContainer:hover
{
  border: 1px solid #000;
  background-color: #575B60;
  text-decoration: none;
}

/* -------------------------------------------------------- */
/* -------------------- Codeblock Stuff ------------------- */
/* -------------------------------------------------------- */

@font-face {
  font-family: 'Fira Code';
  src: url('fonts/FiraCode-Regular.woff2') format('woff2'),
    url("fonts/FiraCode-Regular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
}

/* Fira Code */
code {
  font-family: 'Fira Code', monospace;
  font-size: 0.9rem;
  word-break: break-all;
  overflow-wrap: break-word;
}

pre {
  margin: 4px;
  word-break: break-all;
  overflow-wrap: break-word;
  overflow: auto;
}

/* This is the div surrounding code blocks */
div.highlighter-rouge {
  background: rgba(0,0,0,0.5);
  border: 1px solid rgba(255, 255, 255, 0.35);
  padding: 2px 6px;
  margin: 2px 3px;
  border-radius: 2px;
  line-height: 1.4;
  word-break: break-all;
  overflow-wrap: break-word;
}

/* This is for inline code */
code.highlighter-rouge {
  padding: 3px;
  margin: 0px;
  color: #6285AF;
  background: rgba(0,0,0,0.5);
  border: 1px solid rgba(255,255,255,0.35);
  overflow-wrap: break-word;
}


/* -- This is a slight variant of the "autumn" theme --*/
.highlight .n { color: #eee; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #aaaaaa; font-style: italic } /* Comment */
.highlight .err { color: #F00000; background-color: #F0A0A0 } /* Error */
.highlight .k { color: #8888ff } /* Keyword */
.highlight .cm { color: #aaaaaa; font-style: italic } /* Comment.Multiline */
.highlight .cp { color: #4c8317 } /* Comment.Preproc */
.highlight .c1 { color: #aaaaaa; font-style: italic } /* Comment.Single */
.highlight .cs { color: #8888ff; font-style: italic } /* Comment.Special */
.highlight .gd { color: #aa0000 } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #000080; font-weight: bold } /* Generic.Heading */
.highlight .gi { color: #00aa00 } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #800080; font-weight: bold } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #8888ff } /* Keyword.Constant */
.highlight .kd { color: #8888ff } /* Keyword.Declaration */
.highlight .kn { color: #8888ff } /* Keyword.Namespace */
.highlight .kp { color: #8888ff } /* Keyword.Pseudo */
.highlight .kr { color: #8888ff } /* Keyword.Reserved */
.highlight .kt { color: #00aaaa } /* Keyword.Type */
.highlight .m { color: #009999 } /* Literal.Number */
.highlight .s { color: #aa5500 } /* Literal.String */
.highlight .na { color: #1e90ff } /* Name.Attribute */
.highlight .nb { color: #00aaaa } /* Name.Builtin */
.highlight .nc { color: #00aa00;  } /* Name.Class */
.highlight .no { color: #aa0000 } /* Name.Constant */
.highlight .nd { color: #888888 } /* Name.Decorator */
.highlight .ni { color: #800000; font-weight: bold } /* Name.Entity */
.highlight .nf { color: #00aa00 } /* Name.Function */
.highlight .nn { color: #00aaaa;  } /* Name.Namespace */
.highlight .nt { color: #1e90ff; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #aa0000 } /* Name.Variable */
.highlight .ow { color: #8888ff } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mf { color: #009999 } /* Literal.Number.Float */
.highlight .mh { color: #009999 } /* Literal.Number.Hex */
.highlight .mi { color: #009999 } /* Literal.Number.Integer */
.highlight .mo { color: #009999 } /* Literal.Number.Oct */
.highlight .sb { color: #aa5500 } /* Literal.String.Backtick */
.highlight .sc { color: #aa5500 } /* Literal.String.Char */
.highlight .sd { color: #aa5500 } /* Literal.String.Doc */
.highlight .s2 { color: #aa5500 } /* Literal.String.Double */
.highlight .se { color: #aa5500 } /* Literal.String.Escape */
.highlight .sh { color: #aa5500 } /* Literal.String.Heredoc */
.highlight .si { color: #aa5500 } /* Literal.String.Interpol */
.highlight .sx { color: #aa5500 } /* Literal.String.Other */
.highlight .sr { color: #009999 } /* Literal.String.Regex */
.highlight .s1 { color: #aa5500 } /* Literal.String.Single */
.highlight .ss { color: #8888ff } /* Literal.String.Symbol */
.highlight .bp { color: #00aaaa } /* Name.Builtin.Pseudo */
.highlight .vc { color: #aa0000 } /* Name.Variable.Class */
.highlight .vg { color: #aa0000 } /* Name.Variable.Global */
.highlight .vi { color: #aa0000 } /* Name.Variable.Instance */
.highlight .il { color: #009999 } /* Literal.Number.Integer.Long */

/* ---------------------------------------- */
/* ----------Lightgallery Images----------- */
/* ---------------------------------------- */

#lightgallery
{
  text-align: center;
}

#lightgallery a
{
    text-decoration: none;
}

#lightgallery img
{
    width: 200px;
    height: 112px;
    margin: 4px;
    border: 3px solid black;
    transition: border 0.1s linear 0s;
}

#lightgallery img:hover
{
    border: 3px solid #8888ff;
}

.lightgallery
{
  text-align: center;
  margin-top: 36px;
  margin-bottom: 36px;
}

.lightgallery a
{
    text-decoration: none;
}

.lightgallery img
{
    width: 200px;
    height: 112px;
    margin: 4px;
    border: 3px solid black;
    transition: border 0.1s linear 0s;
}

.lightgallery img:hover
{
    border: 3px solid #8888ff;
}

/* ---------------------------------------- */
/* ----- Infoblocks for mods/libraries ---- */
/* ---------------------------------------- */

.infoBlock
{
  border: 2px solid #000;
  border-radius: 6px;
  background-color: #373B40;
  max-width: 40%;
  display: inline-block;
  padding: 9px 18px;
  margin: 12px;
  overflow-wrap: break-word;
}

.featureImageContainer
{
  width: 45%;
  float: right;
  margin-right: 5%;
  margin-top: 20px;
}

.featureImage
{
  max-width: 480px;
  width: 100%;
  max-height: 270px;
  border: 1px solid #000;
}

/* ---------------------------------------- */
/* ------ "Cards" for category lists ------ */
/* ---------------------------------------- */

.listContainer
{
  width: 100%;
  text-align: center;
}

#listContainer
{
  width: 100%;
  text-align: center;
  clear: both;
}

.categoryCard
{
  width: 225px;
  height: 310px;
  flex-wrap: wrap;
  display: inline-block;
  text-align: center;
  border: 1px solid #6666AA;
  border-radius: 4px;
  background-color: #444488;
  transition: background-color 0.1s linear 0s;
  overflow: hidden;
  margin: 6px;
  position: relative;
  font-size: 1rem;
}

.categoryCard:hover
{
  background-color: #4A4A90;
  text-decoration: none;
}

.hideBroken .categoryCard.broken
{
  display: none !important;
}

.categoryCard.broken
{
  background-color: #552222;
  border: 1px solid #882222;
}

.categoryCard.broken:hover
{
  background-color: #774444;
}

.cardImageContainer
{
  padding: 10px;
  width: 100%;
  height: 114px;
  text-align: left;
  position: relative;
}

.cardImage
{
  position: absolute;
  height: 114px;
  width: 203px;
  z-index: 3;
  border: 1px solid black;
}

.cardSVGContainer
{
  position: absolute;
  z-index: 2;
  border: 1px solid black;
}

.cardSVG
{
  position: relative;
  height: 114px;
  width: 203px;
  background-color: #66A;
  z-index: 2;
}

.broken .cardSVG
{
  background-color: #622;
}

.cardLink
{
  padding: 12px;
  box-sizing: border-box;
}

.cardRow
{
  margin: 6px;
  margin-left: 24px;
  width: 80%;
  box-sizing: border-box;
  text-align: left;
  height: 36px;
  line-height: 36px;
  position: relative;
  display: table;
}

.cardRowText
{
  display: table-cell;
  vertical-align: middle;
  line-height: normal;
  word-wrap: break-word;
  padding-left: 8px;
}

.smallCards .categoryCard
{
  height: 235px;
}


/* ---------------------------------------- */
/* -------- "Large" Category Cards -------- */
/* ---------------------------------------- */

.ofTheDayContainer
{
  text-align: center;
}

.ofTheDayContainer h1
{
  margin: 4px;
  margin-top: 0px;
}


.largeCardContainer
{

  text-align: center;
  display: inline-block;
  margin: 4px;
}

.largeCategoryCard
{
  width: 600px;
  height: 285px;
  flex-wrap: wrap;
  display: inline-block;
  text-align: center;
  border: 1px solid #6666AA;
  border-radius: 4px;
  background-color: #444488;
  transition: background-color 0.1s linear 0s;
  overflow: hidden;
  margin: 6px;
  margin-bottom: 0px;
  font-size: 1rem;
}

.largeCategoryCard:hover
{
  background-color: #4A4A90;
  text-decoration: none;
}

.cardPart
{
  width: 225px;
  float: left;
}

.descriptionPart
{
  text-align: left;
  min-width: 600px;
}

.descriptionText
{
  padding: 0px;
  margin-right: 12px;
}

.descriptionTitle
{
  padding-top: 6px;
  text-align: center;
}

/* ---------------------------------------- */
/* ------------- Inline links ------------- */
/* ---------------------------------------- */

a
{
  color: #ffffff;
  text-decoration: none;
}

a:hover
{
  text-decoration: underline;
}

a.no_underline:hover
{
  text-decoration: none;
}

/* -------------------------------------------------------- */
/* -------------- Icons for game properties --------------- */
/* -------------------------------------------------------- */

.gameInfo-icon {
  background-size: contain;
  background-position: 50%;
  background-repeat: no-repeat;
  position: relative;
  display: table-cell;
  height: 32px;
  width: 32px;
  padding: 0px;
  text-align: left;
}

.gameInfo-icon.playerCount-icon {
  background-image: url(../images/icons/playerCount.png);
}

.gameInfo-icon.time-icon {
  background-image: url(../images/icons/clock.png);
}

.gameInfo-icon.tags-icon {
  background-image: url(../images/icons/tags.png);
}

/* -------------------------------------------------------- */
/* --------------------- Bottom Tray ---------------------- */
/* -------------------------------------------------------- */


.botbar {
  background-color: #333;
  font-family: Arial;
  height: 50px;
  clear: both;
  position: absolute;
  bottom: 4px;
  width: 100%;
}

.botbar a {
  float: left;
  font-size: 16px;
  color: white;
  text-align: left;
  padding: 14px 16px;
  text-decoration: none;
}


.botbar a:hover {
  background-color: #c0c0d0;
  text-decoration: none;
}

.botbar a.active {
  background-color: #555555;
  text-decoration: none;
}

/* ---------------------------------------- */
/* -------- "Cards" for plain lists ------- */
/* ---------------------------------------- */

#plainListContainer
{
  margin-top: 20px;
  width: 100%;
  margin-left: 20px;
  display: block;
  font-size: 1.0rem;
}

.plainListLink
{
  width: 80%;
  max-width: 1000px;
  border: 1px solid #000;
  display: inline-block;
  padding: 16px;
  margin: 3px;
  background-color: #373B40;
  line-height: 1.5;
  position: relative;
  transition: background-color 0.1s;
  font-size: 1rem;
}

.blogContainer #plainListContainer
{
  margin-top: 4px;
  text-align: center;
}

.plainListLink:hover
{
  text-decoration: none;
  background-color: #474B50;
}

.blogContainer h2
{
  text-align: center;
  margin-bottom: 0px;
}

h2.noBotMargin
{
    margin-bottom: 8px;
}

.blogContainer #plainListContainer
{
    margin-left: 0px;
}

.blogContainer .plainListLink
{
  padding: 2px 12px;
  font-size: 0.9rem;
}

.blogContainer p
{
  margin-bottom: 4px;
}

.blogHeaderRow
{
  height: 28px;
}

.blogTitle
{
  float: left;
  display: inline;
  padding-bottom: 0px;
}

.blogDate
{
  float: right;
  display: inline;
  padding-bottom: 0px;
}

.blogContent
{
  display: block;
  padding-top: 0px;
}

/* ---------------------------------------- */
/* ---------- For Mod List Page ----------- */
/* ---------------------------------------- */

.modGroup
{
  text-align: center;
  background-color: pink;
  border: 1px solid black;
  padding: 2px;
  background-color: #373B40;
  line-height: 1.5;
  margin: auto;
  width: 50%;
}

.modGroup h1
{
  margin-top: 0px;
  margin-bottom: 6px;
}

.modGroup:hover
{
  background-color: #474B50;
}


/* ---------------------------------------- */
/* ------ Filters on Category Lists ------- */
/* ---------------------------------------- */

.filterBox
{
  border: 1px solid #000;
  background-color: #575B60;
  line-height: 1.5;
  border: 1px solid #000;
  border-radius: 6px;
  max-width: 50%;
  min-width: 20%;
  display: block;
  padding: 6px 12px;
  margin: 12px;
  float: right;
  font-size: 0.9rem;
}

.filterButton
{
  border: 1px solid black;
  background-color: #8888AA;
  padding: 4px;
  margin: 1px;
  transition: filter 0.1s, background-color 0.2s;
}

.filterBox h5
{
  margin-bottom: 6px;
}

.filterButton:hover
{
  filter: brightness(150%);
}

.filterButton.filter-blocked
{
  background-color: #AA5555;
}

.filterButton.filter-required
{
  background-color: #448844;
}

/* ---------------------------------------- */
/* ------------ Filters Syles  ------------ */
/* ---------------------------------------- */

/* Default - Visible */
.tag-cooperative,
.tag-teams,
.tag-freeForAll,
.tag-survival,
.tag-towerDefense,
.tag-UI
{
  display: inline-block;
}

/* Blocked: Always Hidden */
.cooperative-blocked .categoryCard.tag-cooperative,
.teams-blocked .categoryCard.tag-teams,
.freeForAll-blocked .categoryCard.tag-freeForAll,
.towerDefense-blocked .categoryCard.tag-towerDefense,
.UI-blocked .categoryCard.tag-UI,
.survival-blocked .categoryCard.tag-survival
{
  display: none !important;
}

/* Required and no present: Hidden */
.cooperative-required .categoryCard:not(.tag-cooperative),
.teams-required .categoryCard:not(.tag-teams),
.freeForAll-required .categoryCard:not(.tag-freeForAll),
.towerDefense-required .categoryCard:not(.tag-towerDefense),
.survival-required .categoryCard:not(.tag-survival),
.UI-required .categoryCard:not(.tag-UI)
{
  display: none !important;
}

/* ---------------------------------------- */
/* --- Text Content of Blog Tutorials  ---- */
/* ---------------------------------------- */

.pageContent h1
{
  font-size: 1.8rem;
  text-align: left;
  margin: 0px;
  margin-top: 4px;
  margin-bottom: 20px;
}

.pageContent h2
{
  font-size: 1.5rem;
  text-align: left;
}

/* ---------------------------------------- */
/* ------- Premonition Note Blocks  ------- */
/* ---------------------------------------- */
.premonition {
  display: grid;
  grid-template-columns: 43px auto;
  padding-top: 13px;
  padding-bottom: 6px;
  margin: 30px 0 30px 0;
  background-color: #3A404D;
  border-left: 6px solid #5bc0de;
  border-radius: 3px;
  color: #5bc0de;
}

.premonition .header {
  font-weight: 700;
  font-size: 1.15rem;
  color: #5bc0de;
}

.premonition .fa {
  font-size: 18px;
  opacity: .3;
  padding-top: 2px;
  padding-left: 20px;
}

.premonition .content {
  color: #DDD;
  padding-right: 40px;
}

.premonition.info {
  background-color: #3A4144;
  color: #50af51;
  border-color: #50af51;
}

.premonition.info a {
  color: #50af51;
  text-decoration: underline;
}

.premonition.info code {
  color: #50af51;
}

.premonition.info .header {
  color: #50af51;
}

.premonition.warning {
  background-color: #434140;
  color: #f0ad4e;
  border-color: #f0ad4e;
}

.premonition.warning a {
  color: #f0ad4e;
  text-decoration: underline;
}

.premonition.warning .header {
  color: #f0ad4e;
}

.premonition.error {
  background-color: #464044;
  color: #d9534f;
  border-color: #d9534f;
}

.premonition.error a {
  color: #d9534f;
  text-decoration: underline;
}

.premonition.error .header {
  color: #d9534f;
}